#pragma once

#include <cstdint>

struct Status
{
	char realtime[32] = {0}; // UTC date and time, in format YYYY-MM-DDTHH:mm:ss.sssZ

	uint16_t batteryVoltage = 0; // in mV
	uint16_t batteryOutputCurrent = 0; // in mA
	uint16_t batteryOutputCurrent2 = 0;
	int16_t temperature = 0; // in tenth of °C
	int32_t altitude = 0; // in mm above sea level (can be negative if below sea level, or depending on atmospheric conditions)
	float latitude = -1000.0f; // in decimal degrees
	float longitude = -1000.0f; // in decimal degrees
	float gpsAltitude = -1000.0f; // in meters, above sea level

	float speed = 0.0f;

	// current trip
	uint32_t tripDistance = 0; // in meters
	uint16_t tripMovingTime = 0; // cumulated seconds, only when moving at non-zero speed
	uint16_t tripTotalTime = 0; // total trip time in seconds
	uint32_t tripAscendingElevation = 0; // cumulated ascending elevation, in millimeters
	uint32_t tripMotorEnergy = 0; // in Joules
};
